# [3.1.0](https://gitlab.com/to-be-continuous/openshift/compare/3.0.0...3.1.0) (2023-05-27)


### Features

* **workflow:** extend (skip ci) feature ([25b5988](https://gitlab.com/to-be-continuous/openshift/commit/25b59884497a4ea94eec97c7551e30850bd5fc76))

# [3.0.0](https://gitlab.com/to-be-continuous/openshift/compare/2.2.5...3.0.0) (2023-04-05)


### Features

* **deploy:** redesign deployment strategy ([989340e](https://gitlab.com/to-be-continuous/openshift/commit/989340e677e34e65e69a63501595faa7b9157805))


### BREAKING CHANGES

* **deploy:** $AUTODEPLOY_TO_PROD no longer supported (replaced by $OS_PROD_DEPLOY_STRATEGY - see doc)

## [2.2.5](https://gitlab.com/to-be-continuous/openshift/compare/2.2.4...2.2.5) (2023-03-20)


### Bug Fixes

* rename output dotenv to prevent collision with input dotenv file ([4c63444](https://gitlab.com/to-be-continuous/openshift/commit/4c634440f155e588ad0d1ca6ad9deab99a9fd793))

## [2.2.4](https://gitlab.com/to-be-continuous/openshift/compare/2.2.3...2.2.4) (2023-02-13)


### Bug Fixes

* **readiness:** call after url is determined; example uses $environment_url ([e666a49](https://gitlab.com/to-be-continuous/openshift/commit/e666a49d9d5c81774ca3d66d61d25d26990dfcf7))

## [2.2.3](https://gitlab.com/to-be-continuous/openshift/compare/2.2.2...2.2.3) (2023-01-27)


### Bug Fixes

* "Add registry name in all Docker images" ([23edeeb](https://gitlab.com/to-be-continuous/openshift/commit/23edeeb7a8eb2bda160bf79fb9518ecc14f5f107))

## [2.2.2](https://gitlab.com/to-be-continuous/openshift/compare/2.2.1...2.2.2) (2022-12-17)


### Bug Fixes

* hanging awk script ([8364533](https://gitlab.com/to-be-continuous/openshift/commit/836453344ff644a9dda2bc40818599925dc40dd9))

## [2.2.1](https://gitlab.com/to-be-continuous/openshift/compare/2.2.0...2.2.1) (2022-12-16)


### Bug Fixes

* add missing awkenvsubst function ([c46527d](https://gitlab.com/to-be-continuous/openshift/commit/c46527d1f287fe77534d7037b197d2c1633ae6a8))

# [2.2.0](https://gitlab.com/to-be-continuous/openshift/compare/2.1.0...2.2.0) (2022-12-15)


### Features

* support dynamic env url ([0a00eff](https://gitlab.com/to-be-continuous/openshift/commit/0a00eff96bafe0c4b44c62c49003d0b63c2db855))

# [2.1.0](https://gitlab.com/to-be-continuous/openshift/compare/2.0.0...2.1.0) (2022-12-13)


### Features

* **vault:** configurable Vault Secrets Provider image ([ba0cfa0](https://gitlab.com/to-be-continuous/openshift/commit/ba0cfa098242b72012fdf75940d7feb968cbb4b5))

# [2.0.0](https://gitlab.com/to-be-continuous/openshift/compare/1.4.0...2.0.0) (2022-08-05)


### Features

* make MR pipeline the default workflow ([67b079f](https://gitlab.com/to-be-continuous/openshift/commit/67b079fc9c05e4e3e0a40de796bc5e89a2df9699))


### BREAKING CHANGES

* change default workflow from Branch pipeline to MR pipeline

# [1.4.0](https://gitlab.com/to-be-continuous/openshift/compare/1.3.0...1.4.0) (2022-06-30)


### Features

* enforce AUTODEPLOY_TO_PROD and PUBLISH_ON_PROD as boolean variables ([2769f23](https://gitlab.com/to-be-continuous/openshift/commit/2769f231c2095bb551a9cb57e048e36d77f55d21))

# [1.3.0](https://gitlab.com/to-be-continuous/openshift/compare/1.2.7...1.3.0) (2022-05-01)


### Features

* configurable tracking image ([841323c](https://gitlab.com/to-be-continuous/openshift/commit/841323ccf2e9f1f1f930b32ca051808d8b980b21))

## [1.2.7](https://gitlab.com/to-be-continuous/openshift/compare/1.2.6...1.2.7) (2022-02-24)


### Bug Fixes

* **vault:** revert Vault JWT authentication not working ([d82538b](https://gitlab.com/to-be-continuous/openshift/commit/d82538bf1013911267b6717106140a91e3e39119))

## [1.2.6](https://gitlab.com/to-be-continuous/openshift/compare/1.2.5...1.2.6) (2022-02-23)


### Bug Fixes

* **vault:** Vault JWT authentication not working ([18102f8](https://gitlab.com/to-be-continuous/openshift/commit/18102f89a764b1684bf79224ceacdd7e45ec8c01))

## [1.2.5](https://gitlab.com/to-be-continuous/openshift/compare/1.2.4...1.2.5) (2022-01-10)


### Bug Fixes

* non-blocking warning in case failed decoding [@url](https://gitlab.com/url)@ variable ([44c9747](https://gitlab.com/to-be-continuous/openshift/commit/44c9747922c6f7ab1c73a42dbe5bc9270ba99e29))

## [1.2.4](https://gitlab.com/to-be-continuous/openshift/compare/1.2.3...1.2.4) (2021-12-03)


### Bug Fixes

* execute hook scripts with shebang shell ([37bb630](https://gitlab.com/to-be-continuous/openshift/commit/37bb63079d102a6905041738ff0256f39c77627f))

## [1.2.3](https://gitlab.com/to-be-continuous/openshift/compare/1.2.2...1.2.3) (2021-10-07)


### Bug Fixes

* use master or main for production env ([d97a80c](https://gitlab.com/to-be-continuous/openshift/commit/d97a80ca9eb9dcc2330a46a585d3430cd4bc5bf5))

## [1.2.2](https://gitlab.com/to-be-continuous/openshift/compare/1.2.1...1.2.2) (2021-09-08)

### Bug Fixes

* change variable behaviour ([2228f01](https://gitlab.com/to-be-continuous/openshift/commit/2228f01c3c2b196b476a9ba9ba7a87746aee3533))

## [1.2.1](https://gitlab.com/to-be-continuous/openshift/compare/1.2.0...1.2.1) (2021-07-08)

### Bug Fixes

* conflict between vault and scoped vars ([46f2b7d](https://gitlab.com/to-be-continuous/openshift/commit/46f2b7de6b2749faa31491239aa72b73b6ead079))

## [1.2.0](https://gitlab.com/to-be-continuous/openshift/compare/1.1.0...1.2.0) (2021-06-10)

### Features

* move group ([4e63782](https://gitlab.com/to-be-continuous/openshift/commit/4e6378295faaa8b7a45e6f43083a60b209c3a17f))

## [1.1.0](https://gitlab.com/Orange-OpenSource/tbc/openshift/compare/1.0.0...1.1.0) (2021-05-18)

### Features

* add scoped variables support ([c6ce696](https://gitlab.com/Orange-OpenSource/tbc/openshift/commit/c6ce696983831e340a3c0f16dbc78479c3e02c91))

## 1.0.0 (2021-05-06)

### Features

* initial release ([95a6b01](https://gitlab.com/Orange-OpenSource/tbc/openshift/commit/95a6b01b01d4161b5a09d9da32bf34039d77feb3))
